Page MenuHomePhabricator

Nu Html Checker generates error because of <div> inside of <h3>
Closed, ResolvedPublic

Description

For page https://www.mediawiki.org/wiki/Special:SpecialPages the https://validator.w3.org/ shows the following error:

https://validator.w3.org/nu/?doc=https%3A%2F%2Fwww.mediawiki.org%2Fwiki%2FSpecial%3ASpecialPages

Error: Element div not allowed as child of element h3 in this context. (Suppressing further errors from this subtree.)

From line 210, column 29; to line 210, column 33

nts</span><div></div>

Contexts in which element div may be used:
    Where flow content is expected. 
    As a child of a dl element.
Error: Element div not allowed as child of element h3 in this context. (Suppressing further errors from this subtree.)

From line 226, column 50; to line 226, column 54

ore</span><div></div>

Contexts in which element div may be used:
    Where flow content is expected. 
    As a child of a dl element.

The problematic part is

<h3 id="p-variants-label"><span>Variants</span><div></div></h3>

Event Timeline

Fomafix created this task.Jul 3 2017, 4:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2017, 4:20 PM
Fomafix edited projects, added Vector; removed Wikidata.Jul 4 2017, 6:02 AM
Fomafix updated the task description. (Show Details)

Change 363143 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[mediawiki/skins/Vector@master] Remove <div> inside of the <h3>

https://gerrit.wikimedia.org/r/363143

Change 363143 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Remove <div> inside of the <h3>

https://gerrit.wikimedia.org/r/363143

matmarex closed this task as Resolved.Jul 12 2017, 9:44 PM
matmarex assigned this task to Fomafix.
matmarex removed a project: Patch-For-Review.